# org.apache.naming.resources

## Classes

- BaseDirContext
- CacheEntry
- Constants
- DirContextURLConnection
- DirContextURLStreamHandler
- DirContextURLStreamHandlerFactory
- FileDirContext
- FileDirContext.FileResource
- FileDirContext.FileResourceAttributes
- ProxyDirContext
- RecyclableNamingEnumeration
- Resource
- ResourceAttributes
- ResourceCache
- VirtualDirContext
- WARDirContext
- WARDirContext.Entry

## Exceptions

- ImmutableNameNotFoundException